###########################################################################
#
# remproc.pm -- document processor used to cache all documents in memory
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the 
# University of Waikato, New Zealand.
#
# Copyright (C) 1999 New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

package remproc;

use classify;
use doc;
use docproc;

BEGIN {
    @ISA = ('docproc');
}


sub new {
    my ($class) = @_;
    my $self = {'docs'=>[]};

    return bless $self, $class;
}

sub process {
    my $self = shift (@_);
    my ($doc_obj, $filename) = @_;

    push (@{$self->{'docs'}}, {'doc_obj'=>$doc_obj,
			       'filename'=>$filename});
}

sub get_doc_list {
    my $self = shift (@_);

    return $self->{'docs'};
}

1;

